<?php
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
$LIMPIAR=0;
//++++++****
$P_C="Emp";
//++++++***
$Emp=V($_POST['Emp']);
$Tie=V($_POST['Tie']);
$Com=V($_POST['Com']);
$Ser=V($_POST['Ser']);
$Fec=V($_POST['Fec']);
$Tot=V($_POST['Tot']);
$Min=V($_POST['Min']);
$Max=V($_POST['Max']);
$Tdc=V($_POST['Tdc']);
$Ndi=V($_POST['Ndi']);
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$r=gr("vis_ventas_lotes","ID=$StrId");
	//
	$Cod=$r['NRO'];
	$Emp=$r['EMP_NC'];
	$Tie=$r['TIE_NC'];
	$Com=$r['COM'];
	$Ser=$r['SER'];
	$Fec=$r['FEC_'];
	$Tot=$r['TOT_A_GEN'];
	$Min=$r['WIN'];
	$Max=$r['WAX'];
	$Tdc=$r['TIP_CLI'];
	$Ndi=$r['RUC_DNI'];
	//
	$LStrFoc="jF('$P_C');";		
}	
//--------------------------------------------------------------------------
if($StrCmd=="SEL_EMP"){
	$P_C="Tie";
}
//--------------------------------------------------------------------------
if($StrCmd=="G" || $StrCmd=="M"){
	$Emp_=gn("id_emp","empresas","emp_nomc='$Emp'");
	$Alm_=gn("IDA","vis_almacenes","ANC='$Tie' AND ENC='$Emp'");
	$Ser_=vbval($Ser);
	$Fec_=ToDate($Fec);
	$Tot_=vbval($Tot);
	$Min_=vbval($Min);
	$Max_=vbval($Max);	
}
//--------------------------------------------------------------------------
if($StrCmd=="G"){
	if(strlen($StrGT)==0){	
		$Id=GenId("id_vl","ventas_lotes");
		$SYS_FEC=date("d-m-y");
		$SYS_HOR=GetHoraAP();
		$SYS_TIM=time();
		$TIG=0;
		$RUN=0;
		$RUN_INI=0;
		$RUN_FIN=0;
		$RUN_DIF=0;
		$TOT_GEN=0;
		//
		$Nro=vbr("00000000".$Id,6);
		$s="INSERT INTO ventas_lotes 
			VALUES ($Id,'$Nro','$SYS_FEC','$SYS_HOR',
			$SYS_TIM,$Emp_,$Alm_,'$Com','$Ser',
			$Ser_,'$Fec_',$Tot_,$Min_,$Max_,'$Tdc','$Ndi',
			$TIG,$RUN,$RUN_INI,$RUN_FIN,$RUN_DIF,$TOT_GEN)";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ventas_autogenerar.php";
		$_BIT_ID=BIT_ADD("VENTAS","AUTOGENERAR","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		if($LStrMM=="S")$LStrMsg="Datos registrados";		
		$LStrFoc="jF('$P_C');";
		$StrGT="S";
		$LIMPIAR=1;			
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="M"){
	$CX=gn("count(*)","ventas","ven_id_vl=$StrId AND ven_fe_ge='S'");		
	if($CX>0){
		$LStrMsg="Una o mas ventas relacionadas han sido generadas, por lo tanto no se puede modificar";
		$LStrFoc="jF('$P_C');";
		$StrGT="S";
	}
	if(strlen($StrGT)==0){
		$CX=gn("count(*)","ventas","ven_id_vl=$StrId AND ven_fe_ge='N'");	
		if($CX>0){
			$LStrMsg="Una o mas ventas relacionadas, por lo tanto no se puede modificar, intente eliminar";
			$LStrFoc="jF('$P_C');";
			$StrGT="S";
		}
	}
	if(strlen($StrGT)==0){
		$CX=gn("vl_run_ini","ventas_lotes","id_vl=$StrId");	
		if($CX>0){
			$LStrMsg="El paso 01 fue ejecutado por lo tanto no se puede modificar, intente eliminar";
			$LStrFoc="jF('$P_C');";
			$StrGT="S";
		}
	}
	if(strlen($StrGT)==0){
		$s="UPDATE ventas_lotes 
			SET vl_emp_id=$Emp_,vl_tie_id=$Alm_,
				vl_com='$Com',vl_ser='$Ser',
				vl_iser=$Ser_,vl_fec='$Fec_',
				vl_tot_a_gen=$Tot_,
				vl_min=$Min_,vl_max=$Max_,
				vl_tip_cli='$Tdc',vl_ruc_dni='$Ndi' 
			WHERE id_vl=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ventas_autogenerar.php";
		$_BIT_ID=BIT_ADD("VENTAS","AUTOGENERAR","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		if($LStrMM=="S")$LStrMsg="Datos actualizados";
		$LStrFoc="jF('$P_C');";
		$StrGT="S";
		$LIMPIAR=1;
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="E"){	
	$CX=gn("count(*)","ventas","ven_id_vl=$StrId AND ven_fe_ge='S'");		
	if($CX>0){
		$LStrMsg="Una o mas ventas relacionadas han sido generadas, por lo tanto no se puede eliminar";
		$LStrFoc="jF('$P_C');";
		$StrGT="S";
	}
	if(strlen($StrGT)==0){
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB="SQL";
		$_BIT_SQL_DET="";
		$_BIT_PHP="ventas_autogenerar.php";
		$_BIT_ID=BIT_ADD("VENTAS","AUTOGENERAR","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,"");
		//BIT	
		//
		$s="SELECT * FROM ventas WHERE ven_id_vl=$StrId";
		$rs=grs($s);
		while($r=$rs->fetch_assoc()){
			$VR_ID=$r['id_venta'];
			$qqq=ejt("DELETE FROM ventas_det WHERE id_venta=$VR_ID");
			BIT_DET_ADD($_BIT_ID,$qqq);
		}
		$s="DELETE FROM ventas WHERE ven_id_vl=$StrId";
		ejt($s);
		BIT_DET_ADD($_BIT_ID,$s);
		//		
		$s="DELETE FROM ventas_lotes WHERE id_vl=$StrId";	
		ejt($s);	
		BIT_DET_ADD($_BIT_ID,$s);
		//	
		if($LStrMM=="S")$LStrMsg="Registro Eliminado";
		$LStrFoc="jF('$P_C');";
		$StrGT="S";
		$LIMPIAR=1;
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="L"){
	$LIMPIAR=1;
}
//--------------------------------------------------------------------------
if($LIMPIAR==1){
	$StrId="";
	$Cod="";
	$Emp="";
	$Tie="";
	$Com="";
	$Ser="";
	$Fec="";
	$Tot="";
	$Min="";
	$Max="";
	$Max="";
	$Tdc="";
	$Ndi="";
}
//--------------------------------------------------------------------------
$LStrMsg=BL($StrGT,$LStrMsg,$LStrFoc,$P_C);
?>